import request from '@/utils/request'

// 查询云南人口数据导入详情列表
export function listDPopulationDataInfoPreDetail(query) {
  return request({
    url: '/dimp/dPopulationDataInfoPreDetail/list',
    method: 'get',
    params: query
  })
}

// 查询云南人口数据导入详情详细
export function getDPopulationDataInfoPreDetail(id) {
  return request({
    url: '/dimp/dPopulationDataInfoPreDetail/' + id,
    method: 'get'
  })
}

// 新增云南人口数据导入详情
export function addDPopulationDataInfoPreDetail(data) {
  return request({
    url: '/dimp/dPopulationDataInfoPreDetail',
    method: 'post',
    data: data
  })
}

// 修改云南人口数据导入详情
export function updateDPopulationDataInfoPreDetail(data) {
  return request({
    url: '/dimp/dPopulationDataInfoPreDetail',
    method: 'put',
    data: data
  })
}

// 删除云南人口数据导入详情
export function delDPopulationDataInfoPreDetail(id) {
  return request({
    url: '/dimp/dPopulationDataInfoPreDetail/' + id,
    method: 'delete'
  })
}
